import type { UmbWorkspaceContext } from '../../workspace-context.interface.js';
import type { ManifestWorkspaceDefaultKind } from './types.js';
import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
import { type UmbEntityUnique } from '../../../entity/index.js';
import { UmbViewContext } from '../../../view/index.js';
export declare class UmbDefaultWorkspaceContext extends UmbContextBase implements UmbWorkspaceContext {
    #private;
    workspaceAlias: string;
    readonly view: UmbViewContext;
    constructor(host: UmbControllerHost);
    set manifest(manifest: ManifestWorkspaceDefaultKind);
    setUnique(unique: UmbEntityUnique): void;
    getUnique(): UmbEntityUnique;
    setEntityType(entityType: string): void;
    getEntityType(): string;
}
export { UmbDefaultWorkspaceContext as api };
